From 217f650c6bbb9488ec7a77dcd9518f54c6d04689 Mon Sep 17 00:00:00 2001
From: Emmanuel Blot <emmanuel.blot@free.fr>
Date: Mon, 19 Jan 2015 14:28:07 +0100
Subject: [PATCH 2/6] Fix warnings for missing declarations in libc/ssp
To: minix-dev@googlegroups.com

---
 lib/libc/ssp/memcpy_chk.c  | 2 ++
 lib/libc/ssp/memmove_chk.c | 2 ++
 lib/libc/ssp/memset_chk.c  | 2 ++
 lib/libc/ssp/strcat_chk.c  | 2 ++
 lib/libc/ssp/strcpy_chk.c  | 2 ++
 lib/libc/ssp/strncat_chk.c | 2 ++
 lib/libc/ssp/strncpy_chk.c | 2 ++
 7 files changed, 14 insertions(+)

diff --git a/lib/libc/ssp/memcpy_chk.c b/lib/libc/ssp/memcpy_chk.c
index 7c7a888..a6974b1 100644
--- a/lib/libc/ssp/memcpy_chk.c
+++ b/lib/libc/ssp/memcpy_chk.c
@@ -33,7 +33,9 @@ __RCSID("$NetBSD: memcpy_chk.c,v 1.4 2008/04/28 20:23:00 martin Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
+#include <ssp/string.h>
 #include <string.h>
 
 #undef memcpy
diff --git a/lib/libc/ssp/memmove_chk.c b/lib/libc/ssp/memmove_chk.c
index 0292057..4deebf0 100644
--- a/lib/libc/ssp/memmove_chk.c
+++ b/lib/libc/ssp/memmove_chk.c
@@ -33,8 +33,10 @@ __RCSID("$NetBSD: memmove_chk.c,v 1.4 2008/04/28 20:23:00 martin Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
 #include <string.h>
+#include <ssp/string.h>
 
 #undef memmove
 
diff --git a/lib/libc/ssp/memset_chk.c b/lib/libc/ssp/memset_chk.c
index 6911e77..fd6cea5 100644
--- a/lib/libc/ssp/memset_chk.c
+++ b/lib/libc/ssp/memset_chk.c
@@ -33,8 +33,10 @@ __RCSID("$NetBSD: memset_chk.c,v 1.4 2008/04/28 20:23:00 martin Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
 #include <string.h>
+#include <ssp/string.h>
 
 #undef memset
 
diff --git a/lib/libc/ssp/strcat_chk.c b/lib/libc/ssp/strcat_chk.c
index 212cdd9..c1ec3da 100644
--- a/lib/libc/ssp/strcat_chk.c
+++ b/lib/libc/ssp/strcat_chk.c
@@ -33,8 +33,10 @@ __RCSID("$NetBSD: strcat_chk.c,v 1.4 2009/11/17 20:44:26 drochner Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
 #include <string.h>
+#include <ssp/string.h>
 
 char *
 __strcat_chk(char * __restrict dst, const char * __restrict src, size_t slen)
diff --git a/lib/libc/ssp/strcpy_chk.c b/lib/libc/ssp/strcpy_chk.c
index feecd66..1bf0fff 100644
--- a/lib/libc/ssp/strcpy_chk.c
+++ b/lib/libc/ssp/strcpy_chk.c
@@ -33,8 +33,10 @@ __RCSID("$NetBSD: strcpy_chk.c,v 1.6 2013/11/06 16:30:27 christos Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
 #include <string.h>
+#include <ssp/string.h>
 
 #undef memcpy
 
diff --git a/lib/libc/ssp/strncat_chk.c b/lib/libc/ssp/strncat_chk.c
index ae66792..9f1fdfd 100644
--- a/lib/libc/ssp/strncat_chk.c
+++ b/lib/libc/ssp/strncat_chk.c
@@ -33,7 +33,9 @@ __RCSID("$NetBSD: strncat_chk.c,v 1.4 2009/11/17 20:44:26 drochner Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
+#include <ssp/string.h>
 #include <string.h>
 #include <stdio.h>
 
diff --git a/lib/libc/ssp/strncpy_chk.c b/lib/libc/ssp/strncpy_chk.c
index 2fe5211..19e0e8a 100644
--- a/lib/libc/ssp/strncpy_chk.c
+++ b/lib/libc/ssp/strncpy_chk.c
@@ -33,8 +33,10 @@ __RCSID("$NetBSD: strncpy_chk.c,v 1.4 2008/04/28 20:23:00 martin Exp $");
 
 /*LINTLIBRARY*/
 
+#include <sys/types.h>
 #include <ssp/ssp.h>
 #include <string.h>
+#include <ssp/string.h>
 
 #undef strncpy
 
-- 
2.0.2

